Document of c-modernization-kit (calc) 1.0.0

Loading...
Searching...
No Matches
Macros | Functions
libcalc.h File Reference

計算ライブラリ (動的リンク用) のヘッダーファイル。 More...

`#include <libcalc_const.h>`
Include dependency graph for libcalc.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | CALC_EXPORT
| DLL エクスポート/インポート制御マクロ。
#define | CALC_API
| 呼び出し規約マクロ。

## Functions
CALC_EXPORT int CALC_API | calcHandler (const int kind, const int a, const int b, int *result)
| 指定された演算種別に基づいて計算を実行します。

## Detailed Description

計算ライブラリ (動的リンク用) のヘッダーファイル。

Author
  c-modenization-kit sample team

Date
  2025/11/22

Version
  1.0.0

このライブラリは基本的な整数演算を提供します。
動的リンクによる機能外提供用の API を模しています。

Copyright
  Copyright (C) CompanyName, Ltd. 2025. All rights reserved.

Definition in file libcalc.h.

## Macro Definition Documentation

## ◆ CALC_EXPORT

#define CALC_EXPORT

DLL エクスポート/インポート制御マクロ。

ビルド条件に応じて以下の値を取ります。

条件 | 値
--- | ---
Linux (非 Windows) | (空)
Windows / __INTELLISENSE__ 定義時 | (空)
Windows / CALC_STATIC 定義時 (静的リンク) | (空)
Windows / CALC_EXPORTS 定義時 (DLL ビルド) | __declspec(dllexport)
Windows / CALC_EXPORTS 未定義時 (DLL 利用側) | __declspec(dllimport)

Definition at line 37 of file libcalc.h.

## ◆ CALC_API

#define CALC_API

呼び出し規約マクロ。

Windows 環境では __stdcall 呼び出し規約を指定します。
Linux (非 Windows) 環境では空に展開されます。
既に定義済みの場合は再定義されません。

Definition at line 46 of file libcalc.h.

Referenced by calcHandler().

## Function Documentation

## ◆ calcHandler()

CALC_EXPORT int CALC_API calcHandler | ( | const int | kind,
|  | const int | a,
|  | const int | b,
|  | int * | result )
| extern

指定された演算種別に基づいて計算を実行します。

Parameters

  [in] | kind | 演算の種別 (CALC_KIND_ADD など)。
  [in] | a | 第一オペランド。
  [in] | b | 第二オペランド。
  [out] | result | 計算結果を格納するポインタ。

Returns
  成功時は CALC_SUCCESS、失敗時は CALC_SUCCESS 以外の値を返します。

この関数は演算種別を受け取り、対応する計算関数を呼び出します。 現在サポートされている演算種別は以下の通りです。

演算種別 | 説明
--- | ---
CALC_KIND_ADD | 加算を実行
CALC_KIND_SUBTRACT | 減算を実行
CALC_KIND_MULTIPLY | 乗算を実行
CALC_KIND_DIVIDE | 除算を実行

使用例
  int result;
  if (calcHandler(CALC_KIND_ADD, 10, 20, &result) == CALC_SUCCESS) {
  printf("Result: %d\n", result); // 出力: Result: 30
  }
  calcHandler
  CALC_EXPORT int CALC_API calcHandler(const int kind, const int a, const int b, int *result)
  指定された演算種別に基づいて計算を実行します。
  Definition calcHandler.c:21
  CALC_SUCCESS
  #define CALC_SUCCESS
  成功の戻り値を表す定数。
  Definition libcalc_const.h:17
  CALC_KIND_ADD
  #define CALC_KIND_ADD
  加算の演算種別を表す定数。
  Definition libcalc_const.h:20

Warning
  無効な kind を指定した場合、ゼロ除算の場合、 または result が NULL の場合は失敗を返します。 呼び出し側で戻り値のチェックを行ってください。

Definition at line 21 of file calcHandler.c.

References add(), CALC_API, CALC_ERROR, CALC_KIND_ADD, CALC_KIND_DIVIDE, CALC_KIND_MULTIPLY, CALC_KIND_SUBTRACT, divide(), multiply(), and subtract().

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function: